// -*- c++ -*-

// Copyright (c) 2006 PDA Verticals Corp.
// All rights reserved.
// 
// $Id: beamstation.h 1891 2006-05-10 19:10:55Z chris $
// $URL: https://projects.svn.pdaverticals.com/trunk/beamstation/src/common/beamstation.h $

#ifndef BEAMSTATION_H__385233E1_27BF_4599_B096_DF351165D207
#define BEAMSTATION_H__385233E1_27BF_4599_B096_DF351165D207

#define FILE_EXTENSION "ksk"

// Ping object
#define PING_MIMETYPE "application/x-pdav-kiosk-ping"
#define PING_FILENAME_NO_EXT "ping"
#define PING_FILENAME PING_FILENAME_NO_EXT "." FILE_EXTENSION
#define PING_DESCRIPTION "Kiosk Ping"
#define PING_PAYLOAD "hello"

// Updates request
#define UPDATES_REQUEST_MIMETYPE "application/x-pdav-kiosk-updates-request"
#define UPDATES_REQUEST_FILENAME "updatesrequest." FILE_EXTENSION
#define UPDATES_REQUEST_DESCRIPTION "Updates Request"

// Update object
#define UPDATE_OBJECT_MIMETYPE "application/x-pdav-kiosk-update"
#define UPDATE_OBJECT_FILENAME_NO_EXT "update"
#define UPDATE_OBJECT_FILENAME UPDATE_OBJECT_FILENAME_NO_EXT "." FILE_EXTENSION
#define UPDATE_OBJECT_DESCRIPTION "Kiosk Updates"

const unsigned int signature_size = 64;

enum OSTypes {
  ostypeAny = 0,
  ostypePalmOS = 1,
  ostypePPC = 2,
  ostypeUnknown = 0xff
};

struct updates_request_header {
  UInt32 cookie_;
  UInt16 os_type_;
};

#endif
