#ifndef SESSIONSEARCHFORM_H__06957F1A_447A_144B_2649_5A7F6FC37D1C
#define SESSIONSEARCHFORM_H__06957F1A_447A_144B_2649_5A7F6FC37D1C

#include "viewer.h"


typedef struct
{
  const char *m_textDate;
  UInt32 m_year;
  UInt32 m_month;
  UInt32 m_day;

}DateMapper;

typedef struct
{
  const char *m_track;
  const char *m_description;
} Track;

typedef struct
{
  const char *m_keyword;
  const char *m_description;
} Keyword;

typedef struct
{
  UInt16 m_year;
  UInt16 m_month;
  UInt16 m_day;
  Char m_keyword[4+1];
  Char m_track[32+1];
  Char m_cme[16+1];

} SessionSearchForm;

extern void SessionSearchForm_new(const UInt16 year, const UInt16 month, const UInt16 day, const Char *keyword, const Char *track, const Char *cme) SHOWGUIDE_SECTION;
extern Boolean SessionSearchFormHandleEvent( EventType* event ) SHOWGUIDE_SECTION;

#endif

